Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network21.7.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
21.7.0.0
Broadcast address
21.7.127.255
First usable
21.7.0.1
Last usable
21.7.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 15070000 · Integer 352780288 to 352813055
Reverse DNS zones
0.7.21.in-addr.arpa
1.7.21.in-addr.arpa
2.7.21.in-addr.arpa
3.7.21.in-addr.arpa
4.7.21.in-addr.arpa
5.7.21.in-addr.arpa
6.7.21.in-addr.arpa
7.7.21.in-addr.arpa
8.7.21.in-addr.arpa
9.7.21.in-addr.arpa
10.7.21.in-addr.arpa
11.7.21.in-addr.arpa
12.7.21.in-addr.arpa
13.7.21.in-addr.arpa
14.7.21.in-addr.arpa
15.7.21.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010101.00000111.00000000.0000000021.7.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00010101.00000111.00000000.0000000021.7.0.0
Broadcast00010101.00000111.01111111.1111111121.7.127.255
Split into smaller subnets/24

21.7.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
121.7.0.0/2421.7.0.1 to 21.7.0.25421.7.0.255254
221.7.1.0/2421.7.1.1 to 21.7.1.25421.7.1.255254
321.7.2.0/2421.7.2.1 to 21.7.2.25421.7.2.255254
421.7.3.0/2421.7.3.1 to 21.7.3.25421.7.3.255254
521.7.4.0/2421.7.4.1 to 21.7.4.25421.7.4.255254
621.7.5.0/2421.7.5.1 to 21.7.5.25421.7.5.255254
721.7.6.0/2421.7.6.1 to 21.7.6.25421.7.6.255254
821.7.7.0/2421.7.7.1 to 21.7.7.25421.7.7.255254
921.7.8.0/2421.7.8.1 to 21.7.8.25421.7.8.255254
1021.7.9.0/2421.7.9.1 to 21.7.9.25421.7.9.255254
1121.7.10.0/2421.7.10.1 to 21.7.10.25421.7.10.255254
1221.7.11.0/2421.7.11.1 to 21.7.11.25421.7.11.255254
1321.7.12.0/2421.7.12.1 to 21.7.12.25421.7.12.255254
1421.7.13.0/2421.7.13.1 to 21.7.13.25421.7.13.255254
1521.7.14.0/2421.7.14.1 to 21.7.14.25421.7.14.255254
1621.7.15.0/2421.7.15.1 to 21.7.15.25421.7.15.255254
1721.7.16.0/2421.7.16.1 to 21.7.16.25421.7.16.255254
1821.7.17.0/2421.7.17.1 to 21.7.17.25421.7.17.255254
1921.7.18.0/2421.7.18.1 to 21.7.18.25421.7.18.255254
2021.7.19.0/2421.7.19.1 to 21.7.19.25421.7.19.255254
2121.7.20.0/2421.7.20.1 to 21.7.20.25421.7.20.255254
2221.7.21.0/2421.7.21.1 to 21.7.21.25421.7.21.255254
2321.7.22.0/2421.7.22.1 to 21.7.22.25421.7.22.255254
2421.7.23.0/2421.7.23.1 to 21.7.23.25421.7.23.255254
2521.7.24.0/2421.7.24.1 to 21.7.24.25421.7.24.255254
2621.7.25.0/2421.7.25.1 to 21.7.25.25421.7.25.255254
2721.7.26.0/2421.7.26.1 to 21.7.26.25421.7.26.255254
2821.7.27.0/2421.7.27.1 to 21.7.27.25421.7.27.255254
2921.7.28.0/2421.7.28.1 to 21.7.28.25421.7.28.255254
3021.7.29.0/2421.7.29.1 to 21.7.29.25421.7.29.255254
3121.7.30.0/2421.7.30.1 to 21.7.30.25421.7.30.255254
3221.7.31.0/2421.7.31.1 to 21.7.31.25421.7.31.255254
3321.7.32.0/2421.7.32.1 to 21.7.32.25421.7.32.255254
3421.7.33.0/2421.7.33.1 to 21.7.33.25421.7.33.255254
3521.7.34.0/2421.7.34.1 to 21.7.34.25421.7.34.255254
3621.7.35.0/2421.7.35.1 to 21.7.35.25421.7.35.255254
3721.7.36.0/2421.7.36.1 to 21.7.36.25421.7.36.255254
3821.7.37.0/2421.7.37.1 to 21.7.37.25421.7.37.255254
3921.7.38.0/2421.7.38.1 to 21.7.38.25421.7.38.255254
4021.7.39.0/2421.7.39.1 to 21.7.39.25421.7.39.255254
4121.7.40.0/2421.7.40.1 to 21.7.40.25421.7.40.255254
4221.7.41.0/2421.7.41.1 to 21.7.41.25421.7.41.255254
4321.7.42.0/2421.7.42.1 to 21.7.42.25421.7.42.255254
4421.7.43.0/2421.7.43.1 to 21.7.43.25421.7.43.255254
4521.7.44.0/2421.7.44.1 to 21.7.44.25421.7.44.255254
4621.7.45.0/2421.7.45.1 to 21.7.45.25421.7.45.255254
4721.7.46.0/2421.7.46.1 to 21.7.46.25421.7.46.255254
4821.7.47.0/2421.7.47.1 to 21.7.47.25421.7.47.255254
4921.7.48.0/2421.7.48.1 to 21.7.48.25421.7.48.255254
5021.7.49.0/2421.7.49.1 to 21.7.49.25421.7.49.255254
5121.7.50.0/2421.7.50.1 to 21.7.50.25421.7.50.255254
5221.7.51.0/2421.7.51.1 to 21.7.51.25421.7.51.255254
5321.7.52.0/2421.7.52.1 to 21.7.52.25421.7.52.255254
5421.7.53.0/2421.7.53.1 to 21.7.53.25421.7.53.255254
5521.7.54.0/2421.7.54.1 to 21.7.54.25421.7.54.255254
5621.7.55.0/2421.7.55.1 to 21.7.55.25421.7.55.255254
5721.7.56.0/2421.7.56.1 to 21.7.56.25421.7.56.255254
5821.7.57.0/2421.7.57.1 to 21.7.57.25421.7.57.255254
5921.7.58.0/2421.7.58.1 to 21.7.58.25421.7.58.255254
6021.7.59.0/2421.7.59.1 to 21.7.59.25421.7.59.255254
6121.7.60.0/2421.7.60.1 to 21.7.60.25421.7.60.255254
6221.7.61.0/2421.7.61.1 to 21.7.61.25421.7.61.255254
6321.7.62.0/2421.7.62.1 to 21.7.62.25421.7.62.255254
6421.7.63.0/2421.7.63.1 to 21.7.63.25421.7.63.255254
6521.7.64.0/2421.7.64.1 to 21.7.64.25421.7.64.255254
6621.7.65.0/2421.7.65.1 to 21.7.65.25421.7.65.255254
6721.7.66.0/2421.7.66.1 to 21.7.66.25421.7.66.255254
6821.7.67.0/2421.7.67.1 to 21.7.67.25421.7.67.255254
6921.7.68.0/2421.7.68.1 to 21.7.68.25421.7.68.255254
7021.7.69.0/2421.7.69.1 to 21.7.69.25421.7.69.255254
7121.7.70.0/2421.7.70.1 to 21.7.70.25421.7.70.255254
7221.7.71.0/2421.7.71.1 to 21.7.71.25421.7.71.255254
7321.7.72.0/2421.7.72.1 to 21.7.72.25421.7.72.255254
7421.7.73.0/2421.7.73.1 to 21.7.73.25421.7.73.255254
7521.7.74.0/2421.7.74.1 to 21.7.74.25421.7.74.255254
7621.7.75.0/2421.7.75.1 to 21.7.75.25421.7.75.255254
7721.7.76.0/2421.7.76.1 to 21.7.76.25421.7.76.255254
7821.7.77.0/2421.7.77.1 to 21.7.77.25421.7.77.255254
7921.7.78.0/2421.7.78.1 to 21.7.78.25421.7.78.255254
8021.7.79.0/2421.7.79.1 to 21.7.79.25421.7.79.255254
8121.7.80.0/2421.7.80.1 to 21.7.80.25421.7.80.255254
8221.7.81.0/2421.7.81.1 to 21.7.81.25421.7.81.255254
8321.7.82.0/2421.7.82.1 to 21.7.82.25421.7.82.255254
8421.7.83.0/2421.7.83.1 to 21.7.83.25421.7.83.255254
8521.7.84.0/2421.7.84.1 to 21.7.84.25421.7.84.255254
8621.7.85.0/2421.7.85.1 to 21.7.85.25421.7.85.255254
8721.7.86.0/2421.7.86.1 to 21.7.86.25421.7.86.255254
8821.7.87.0/2421.7.87.1 to 21.7.87.25421.7.87.255254
8921.7.88.0/2421.7.88.1 to 21.7.88.25421.7.88.255254
9021.7.89.0/2421.7.89.1 to 21.7.89.25421.7.89.255254
9121.7.90.0/2421.7.90.1 to 21.7.90.25421.7.90.255254
9221.7.91.0/2421.7.91.1 to 21.7.91.25421.7.91.255254
9321.7.92.0/2421.7.92.1 to 21.7.92.25421.7.92.255254
9421.7.93.0/2421.7.93.1 to 21.7.93.25421.7.93.255254
9521.7.94.0/2421.7.94.1 to 21.7.94.25421.7.94.255254
9621.7.95.0/2421.7.95.1 to 21.7.95.25421.7.95.255254
9721.7.96.0/2421.7.96.1 to 21.7.96.25421.7.96.255254
9821.7.97.0/2421.7.97.1 to 21.7.97.25421.7.97.255254
9921.7.98.0/2421.7.98.1 to 21.7.98.25421.7.98.255254
10021.7.99.0/2421.7.99.1 to 21.7.99.25421.7.99.255254
10121.7.100.0/2421.7.100.1 to 21.7.100.25421.7.100.255254
10221.7.101.0/2421.7.101.1 to 21.7.101.25421.7.101.255254
10321.7.102.0/2421.7.102.1 to 21.7.102.25421.7.102.255254
10421.7.103.0/2421.7.103.1 to 21.7.103.25421.7.103.255254
10521.7.104.0/2421.7.104.1 to 21.7.104.25421.7.104.255254
10621.7.105.0/2421.7.105.1 to 21.7.105.25421.7.105.255254
10721.7.106.0/2421.7.106.1 to 21.7.106.25421.7.106.255254
10821.7.107.0/2421.7.107.1 to 21.7.107.25421.7.107.255254
10921.7.108.0/2421.7.108.1 to 21.7.108.25421.7.108.255254
11021.7.109.0/2421.7.109.1 to 21.7.109.25421.7.109.255254
11121.7.110.0/2421.7.110.1 to 21.7.110.25421.7.110.255254
11221.7.111.0/2421.7.111.1 to 21.7.111.25421.7.111.255254
11321.7.112.0/2421.7.112.1 to 21.7.112.25421.7.112.255254
11421.7.113.0/2421.7.113.1 to 21.7.113.25421.7.113.255254
11521.7.114.0/2421.7.114.1 to 21.7.114.25421.7.114.255254
11621.7.115.0/2421.7.115.1 to 21.7.115.25421.7.115.255254
11721.7.116.0/2421.7.116.1 to 21.7.116.25421.7.116.255254
11821.7.117.0/2421.7.117.1 to 21.7.117.25421.7.117.255254
11921.7.118.0/2421.7.118.1 to 21.7.118.25421.7.118.255254
12021.7.119.0/2421.7.119.1 to 21.7.119.25421.7.119.255254
12121.7.120.0/2421.7.120.1 to 21.7.120.25421.7.120.255254
12221.7.121.0/2421.7.121.1 to 21.7.121.25421.7.121.255254
12321.7.122.0/2421.7.122.1 to 21.7.122.25421.7.122.255254
12421.7.123.0/2421.7.123.1 to 21.7.123.25421.7.123.255254
12521.7.124.0/2421.7.124.1 to 21.7.124.25421.7.124.255254
12621.7.125.0/2421.7.125.1 to 21.7.125.25421.7.125.255254
12721.7.126.0/2421.7.126.1 to 21.7.126.25421.7.126.255254
12821.7.127.0/2421.7.127.1 to 21.7.127.25421.7.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses